function p.__get_is_solid()
    return true
end

function p.__get_tex()
    return "block_bathroom2"
end

function p.__main()
    set_default_block("r_kitchen")
    
    std.create_half_tube(3, "z_neg", "e")
    std.create_half_tube(3, "x_pos", "e")
    std.create_center(5,"e")
    
    local msg_str = "The program can exit from 3 types of errors: "
        .. "system errors, hard user errors, "
        .. "and soft user errors.\n\n"
        .. "^x00ff00System Errors^! are due to a bug in the program. "
        .. "Usually these result in the program exiting without "
        .. "displaying an error message. "
        .. "You can go to the file stdout.txt "
        .. "and go to the end to see what was the error. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
